Delete a note by id
DELETE
/notes/by-id/{id}
const url = 'https://api.engram.page/notes/by-id/example';const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url https://api.engram.page/notes/by-id/example \ --header 'Authorization: Bearer <token>'Deletes the note with the given UUID. Returns 400 for a malformed UUID and 404 when no such note exists.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string
Note UUID
Responses
Section titled “Responses”Deleted
Media typeapplication/json
DeletedFlag
object
deleted
required
boolean
Example
{ "deleted": true}Invalid UUID
No such note